import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnDeployPodSeq } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-04 10:56
 */
interface CnDeployPodSeqCU extends ConditionUtil<CnDeployPodSeqCU> {
    ID: FieldUtil<CnDeployPodSeqCU>;
    CURR_SEQ_NO: FieldUtil<CnDeployPodSeqCU>;
    DELETED: FieldUtil<CnDeployPodSeqCU>;
    CREATE_TIME: FieldUtil<CnDeployPodSeqCU>;
    UPDATE_TIME: FieldUtil<CnDeployPodSeqCU>;
}
declare class CnDeployPodSeqMU extends TableUtilImpl<CnDeployPodSeqCU, CnDeployPodSeq> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnDeployPodSeqCU;
    static get ID(): FieldUtil<CnDeployPodSeqCU>;
    static get CURR_SEQ_NO(): FieldUtil<CnDeployPodSeqCU>;
    static get DELETED(): FieldUtil<CnDeployPodSeqCU>;
    static get CREATE_TIME(): FieldUtil<CnDeployPodSeqCU>;
    static get UPDATE_TIME(): FieldUtil<CnDeployPodSeqCU>;
    get ID(): FieldUtil<CnDeployPodSeqCU>;
    get CURR_SEQ_NO(): FieldUtil<CnDeployPodSeqCU>;
    get DELETED(): FieldUtil<CnDeployPodSeqCU>;
    get CREATE_TIME(): FieldUtil<CnDeployPodSeqCU>;
    get UPDATE_TIME(): FieldUtil<CnDeployPodSeqCU>;
}
export { CnDeployPodSeqMU, CnDeployPodSeqCU };
